Skip to main content
GET
List source schedules

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1

Query Parameters

runtime_target_kind
enum<string> | null
Available options:
main_branch,
environment,
preview_branch,
null
target_environment_id
string<uuid> | null
target_branch_id
string<uuid> | null
source_target_kind
enum<string>
Available options:
project,
main_branch,
environment,
preview_branch

Response

Schedules declared in project source

data
object[]
required

Schedules declared in project source files.

page_info
object
required

The single page of the list: next is always null.

diagnostics
object[]
required

Source discovery diagnostics.